Transfer from Prime wallet to sub-wallet
curl --request POST \
--url https://api.openxswitch.com/v1/transfer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subWalletId": "<string>",
"amount": "<string>",
"coin": "<string>",
"clientTxId": "<string>"
}
'import requests
url = "https://api.openxswitch.com/v1/transfer"
payload = {
"subWalletId": "<string>",
"amount": "<string>",
"coin": "<string>",
"clientTxId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
subWalletId: '<string>',
amount: '<string>',
coin: '<string>',
clientTxId: '<string>'
})
};
fetch('https://api.openxswitch.com/v1/transfer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "wd_001",
"workspaceId": "67804918f2b05ac82a129441",
"clientTxId": null,
"fromWalletId": "678a39d6b731ad1ad8832c8a",
"toWalletId": "731ad1ad8832c8a....",
"coin": "USDT",
"amount": 100,
"status": "success",
"networkFee": 0,
"tagMemo": null,
"confirmed": false,
"confirmedAt": null,
"createdAt": null
}
}{
"statusCode": 400,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "......"
}{
"statusCode": 404,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "Cannot GET /v1/..."
}{
"statusCode": 422,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": [
"param is required"
]
}{
"statusCode": 500,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "......"
}Transfer Endpoints
Transfer from Prime wallet to sub-wallet
Initiates a transfer of assets from the Prime (master) wallet to a specified sub-wallet. This operation is typically used to allocate funds to sub-wallets for operational or trading purposes.
POST
/
v1
/
transfer
Transfer from Prime wallet to sub-wallet
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I
.png?fit=max&auto=format&n=ML35RDblT1Ol-zJb&q=85&s=062e79ad9c4540929eec204aff020178)
.png?fit=max&auto=format&n=ML35RDblT1Ol-zJb&q=85&s=f6328956931c9664a2a070c2edb6e9b3)